Gtk::TargetList Class Reference

## Public Member Functions

void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GtkTargetList* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTargetList* | gobj () const
| Provides access to the underlying C instance. More...
GtkTargetList* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| TargetList ()=delete
| TargetList (const TargetList&)=delete
TargetList& | operator= (const TargetList&)=delete
void | add (const Glib::ustring& target, TargetFlags flags=TargetFlags(0), guint info=0)
| Appends another target to a Gtk::TargetList. More...
void | add (const ArrayHandle_TargetEntry& targets)
void | remove (const Glib::ustring& target)
| Removes a target from a target list. More...
bool | find (const Glib::ustring& target, guint* info) const
| Looks up a given target in a Gtk::TargetList. More...

## Static Public Member Functions

static Glib::RefPtr< Gtk::TargetList > | create (const ArrayHandle_TargetEntry& targets)

## Protected Member Functions

void | operator delete (void*, std::size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::TargetList > | wrap (GtkTargetList* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Gtk::TargetList::TargetList | ( |  | ) |

delete

Gtk::TargetList::TargetList | ( | const TargetList& |  | ) |

delete

## Member Function Documentation

void Gtk::TargetList::add | ( | const Glib::ustring & | target,
|  | TargetFlags | flags = `TargetFlags(0)`,
|  | guint | info = `0`
| ) |  |

Appends another target to a Gtk::TargetList.

Parameters

  target | The interned atom representing the target.
  flags | The flags for this target.
  info | An ID that will be passed back to the application.

void Gtk::TargetList::add | ( | const ArrayHandle_TargetEntry& | targets | ) |

static Glib::RefPtr<Gtk::TargetList> Gtk::TargetList::create | ( | const ArrayHandle_TargetEntry& | targets | ) |

static

bool Gtk::TargetList::find | ( | const Glib::ustring & | target,
|  | guint * | info
| ) |  | const

Looks up a given target in a Gtk::TargetList.

Parameters

  target | An interned atom representing the target to search for.
  info | A pointer to the location to store application info for target, or `nullptr`.

Returns
  `true` if the target was found, otherwise `false`.

GtkTargetList* Gtk::TargetList::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GtkTargetList* Gtk::TargetList::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::TargetList::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |

protected

TargetList& Gtk::TargetList::operator= | ( | const TargetList& |  | ) |

delete

void Gtk::TargetList::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gtk::TargetList::remove | ( | const Glib::ustring & | target | ) |

Removes a target from a target list.

Parameters

  target | The interned atom representing the target.

void Gtk::TargetList::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::TargetList > wrap | ( | GtkTargetList * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/targetlist.h